## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContextDefault::DefaultCollationCompareFunctor Class Reference

`#include <StylesheetExecutionContextDefault.hpp>`

Inheritance diagram for StylesheetExecutionContextDefault::DefaultCollationCompareFunctor

Collaboration diagram for StylesheetExecutionContextDefault::DefaultCollationCompareFunctor:

List of all members.

## Public Methods

- DefaultCollationCompareFunctor ()
- virtual ~DefaultCollationCompareFunctor ()
- virtual int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault) const
- virtual int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, const XalanDOMChar* theLocale, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault) const

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::DefaultCollationCompareFunctor ( | )

virtual StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::~DefaultCollationCompareFunctor ( | )`[virtual]`

## Member Function Documentation

virtual int StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault ) const`[virtual]`

virtual int StylesheetExecutionContextDefault::DefaultCollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault ) const`[virtual]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.